#ifndef ieee_802154_framer_h
#define ieee_802154_framer_h

#include <t3devlib/t3devlib.h>

t3devlib::Bitstring make_ieee_802_15_4_frame (
	const void* hw_src,  int hw_src_len,
	const void* hw_dst,  int hw_dst_len,
	const void* payload, int payload_len,
	uint16_t pan_id
);

bool decode_ieee_802_15_4_frame (
	const void* frame, int frame_len,
	void* hw_src, int& hw_src_len,
	void* hw_dst, int& hw_dst_len,
	const void*& payload, int& payload_len,
	uint16_t& pan_id
);

void ieee_802_15_4_framer_reset();


#endif

