#include "6lowpan-port.h"
#include "802.15.4-framer.h"

// 6lowpan System Adapter implementation
//
// Please read the "Implementing Adapters" section of the T3DevKit
// documentation in order to understand how this SA is designed.
//
// --->  http://t3devkit.gforge.inria.fr/doc/userref/

namespace t3devlib
{
	// @desc	Initialisation function for the System Adapter provided by T3DevKit
	//		-> will register the 6lowpan system port implementation
	void SAInit()
	{
		Port::RegisterType<SixLowpanPort> ("LibIpv6_6lowpan_Interface", "SixLowpanPort");
	}

	// @desc	Reset function for the System Adapter provided by T3DevKit
	void SAReset()
	{
		ieee_802_15_4_framer_reset();
	}
}
